Subject: [bug#32231] [PATCH 0/8] Tomcat related updates

From: Björn Höfling <[email-masked]>
Date: Sat, 21 Jul 2018 10:14:01 +0200

This is series of Tomcat related patches.

* Main purpuse was updating Tomcat to the newest 8.5.x version.
* BTW: Update to 9.x did not work out of the box: I had compilation issues.
* Stripping Timestamps, removing included jars.
* Then I noticed Tomcat is used where just a servlet-api is needed.
* So, I used the existing java-classpathx-servletapi, where possible.
* At some places, a newer version was necessary, I added the JAVAEE version.
* I could not substitute all places, will have to investigate further.
* Currently, Tomcat is just used as a library. It would be nice to add the
  conf and bin files and use it as a real server, even with a Guix service.

Björn Höfling (8):
  gnu: java-guice: Remove jars.
  gnu: java-logback-core: Add file-name field.
  gnu: java: Use java-classpathx-servletapi instead of java-tomcat where
    possible.
  gnu: Add java-javaee-servletapi.
  gnu: java: Use java-javaee-servletapi instead of java-tomcat.
  gnu: java-tomcat: Update to 8.5.32.
  gnu: java-tomcat: Remove bundled jars.
  gnu: java-tomcat: Strip timestamps

 gnu/packages/java.scm  | 46 +++++++++++++++++++++++++++++++++++++++++-----
 gnu/packages/maven.scm |  2 +-
 gnu/packages/web.scm   | 28 +++++++++++++++++++++-------
 3 files changed, 63 insertions(+), 13 deletions(-)

-- 
2.7.4